Bug 1126847 - Threads blocking on IrsBrokerCommand
Summary: Threads blocking on IrsBrokerCommand
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 12:38 UTC by Liran Zelkha
Modified: 2015-10-06 02:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 06:40:46 UTC
oVirt Team: ---


Attachments (Terms of Use)
Thread dump (383.50 KB, text/plain)
2014-08-05 12:38 UTC, Liran Zelkha
no flags Details

Description Liran Zelkha 2014-08-05 12:38:21 UTC
Created attachment 924196 [details]
Thread dump

Description of problem:
Multiple threads are blocking on IrsBrokerCommand for almost 20 minutes.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Run the engine with 200 hosts on a FakeVDSM

Steps to Reproduce:
1.
2.
3.

Actual results:
Threads blocking for a long time (see thread dump enclosed)

Expected results:
No threads blocking

Additional info:

Comment 1 Piotr Kliczewski 2014-08-07 06:40:46 UTC
This was found during experimentation after modification of the code.


Note You need to log in before you can comment on or make changes to this bug.